#ifndef REPL_H
#define REPL_H

#include "memory_pool.h"

#define REPL_BUFFER_SIZE 128

typedef struct {
	memory_pool_t pool;
	char buffer[REPL_BUFFER_SIZE];
} repl_t;

bool step_repl(repl_t *repl);
void run_repl(repl_t *repl);

#endif
